Subject: Inherited methods cannot be adviced
Description

Due to a bug in the AOP Proxy Class Builder methods of the target class which have been inherited from a parent class but haven't
been overridden by the target class are not adviced. The problem is cause by using get_class_methods() instead of the corresponding
ReflectionClass method. get_class_methods() only returns the names of methods which are declared directly in the given class while
$class->getMethods() also returns those methods which were declared in a parent class.

Associated revisions
Revision db104353 - 2011-04-11 18:20 - Robert Lemke

[BUGFIX] Inherited methods cannot be adviced

This solves a bug in the AOP Proxy Class Builder which resulted in
methods which have been inherited by a parent class but which not have
been overridden by the child class could not be adviced.

Change-Id: I86277ef2b80e68135d069b842fba48b337c05014
Resolves: #25881

History
#1 - 2011-04-11 18:20 - Mr. Hudson

Patch set 1 of change I86277ef2b80e68135d069b842fba48b337c05014 has been pushed to the review server.
It is available at http://review.typo3.org/1555

#2 - 2011-04-12 11:30 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:db1043531960d4269f258c6913907ca9f2ec6a17.
